AI Driving Olympics Home Challenges Submissions Jobs

Submission 3471

Submission3471
Competinguser retired
Challengeaido2-LF-real-testing
UserAmaurX
Date submitted
Completeincomplete
Result
Jobs
Nexteval0
User labelchallenge-aido_LF-template-random
Admin priority50
User priority50

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
221663471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videos-1successno-0:02:34(hidden)
221653471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videos-0successno-0:02:23(hidden)
221623471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videos-0timeoutno-0:35:56
I can see how the jo [...]
I can see how the job 22162 is timeout because passed 2156 seconds and the timeout is 1800.0.
(hidden)
221473471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videosabortedno-0:09:21
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
(hidden)
221383471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videosabortedno-0:08:42(hidden)
221373471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videoshost-errorno-0:01:06
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1321, in getresponse
    response.begin()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 296, in begin
    version, status, reason = self._read_status()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 257, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/packages/six.py", line 686, in reraise
    raise value
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 386, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 306, in _raise_timeout
    raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 60, in check_docker_environment
    containers = client.containers.list(filters=dict(status='running'))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/models/containers.py", line 925, in list
    containers.append(self.get(r['Id']))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/models/containers.py", line 862, in get
    resp = self.client.api.inspect_container(container_id)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/utils/decorators.py", line 19, in wrapped
    return f(self, resource_id, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/container.py", line 755, in inspect_container
    self._get(self._url("/containers/{0}/json", container)), True
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/client.py", line 225, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 540, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 658, in run_single
    timeout_sec=timeout_sec)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 733, in run_one
    client = check_docker_environment()
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 67, in check_docker_environment
    raise InvalidEnvironment(msg)
dt_shell.exceptions.InvalidEnvironment: I cannot communicate with Docker:
UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

Make sure the docker service is running.
(hidden)
221363471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videosabortedno-0:03:28
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 818, in run_one
    time.sleep(5)
KeyboardInterrupt
(hidden)
221353471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videoshost-errorno-0:01:05
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1159, in download_artefacts
    try_to_get_hash(client, sha256hex)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 81, in new_function
    return function(*args, **kwargs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1111, in try_to_get_hash
    res = client.file_ls(qm)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/client.py", line 764, in file_ls
    return self._client.request('/file/ls', args, decoder='json', **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 38, in wrapper
    return func(self, *args, **merged)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 245, in request
    files, headers, data)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 181, in _request
    files=files, headers=headers, data=data)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 156, in _do_request
    return requests.request(*args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1321, in getresponse
    response.begin()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 296, in begin
    version, status, reason = self._read_status()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 257, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 72, in handler
    _raise_exception(timeout_exception, exception_message)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 45, in _raise_exception
    raise exception()
timeout_decorator.timeout_decorator.TimeoutError: 'Timed Out'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 531, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 585, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 857, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1163, in download_artefacts
    raise Exception(msg)
Exception: Could not get IPFS hash QmUb5i3VtNk4pAjBoxpCxCnyrpAek1ACVDkqMw5PaQp7QG
(hidden)
221343471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videosabortedno-0:02:56
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 531, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 585, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 857, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1185, in download_artefacts
    assert os.path.lexists(fn2)
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 534, in get_cr
    uploaded = upload_files(wd, aws_config, copy_to_machine_cache=copy_to_machine_cache)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1096, in upload_files
    toupload = get_files_to_upload(wd, ignore_patterns=ignore_patterns)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1263, in get_files_to_upload
    for dirpath, dirnames, filenames in os.walk(path):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/bin/../lib/python3.7/os.py", line 410, in walk
    yield from walk(new_path, topdown, onerror, followlinks)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/bin/../lib/python3.7/os.py", line 410, in walk
    yield from walk(new_path, topdown, onerror, followlinks)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/bin/../lib/python3.7/os.py", line 410, in walk
    yield from walk(new_path, topdown, onerror, followlinks)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/bin/../lib/python3.7/os.py", line 368, in walk
    is_dir = entry.is_dir()
KeyboardInterrupt
(hidden)
221333471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videoshost-errorno-0:00:05
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 531, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 585, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 857, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1149, in download_artefacts
    res = client.file_ls(sha256hex, timeout=120)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/client.py", line 764, in file_ls
    return self._client.request('/file/ls', args, decoder='json', **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 38, in wrapper
    return func(self, *args, **merged)
TypeError: request() got an unexpected keyword argument 'timeout'
(hidden)
221323471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videoshost-errorno-0:00:05
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 531, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 585, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 857, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1149, in download_artefacts
    res = client.file_ls(sha256hex, timeout=120)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/client.py", line 764, in file_ls
    return self._client.request('/file/ls', args, decoder='json', **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 38, in wrapper
    return func(self, *args, **merged)
TypeError: request() got an unexpected keyword argument 'timeout'
(hidden)
221313471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0-videosabortedno-0:35:42
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 377, in _make_request
    httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 531, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 585, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 857, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1149, in download_artefacts
    res = client.file_ls(sha256hex, timeout=120)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/client.py", line 764, in file_ls
    return self._client.request('/file/ls', args, decoder='json', **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 38, in wrapper
    return func(self, *args, **merged)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 245, in request
    files, headers, data)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 181, in _request
    files=files, headers=headers, data=data)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/ipfsapi/http.py", line 156, in _do_request
    return requests.request(*args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1321, in getresponse
    response.begin()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 296, in begin
    version, status, reason = self._read_status()
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 257, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
KeyboardInterrupt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 534, in get_cr
    uploaded = upload_files(wd, aws_config, copy_to_machine_cache=copy_to_machine_cache)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1103, in upload_files
    uploaded = upload(aws_config, toupload, copy_to_machine_cache=copy_to_machine_cache)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1328, in upload
    aws_object.load()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/boto3-1.9.115-py3.7.egg/boto3/resources/factory.py", line 505, in do_action
    response = action(self, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/boto3-1.9.115-py3.7.egg/boto3/resources/action.py", line 83, in __call__
    response = getattr(parent.meta.client, operation_name)(**params)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 137, in _send_request
    success_response, exception):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 231, in _needs_retry
    caught_exception=caught_exception, request_dict=request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 356, in emit
    return self._emitter.emit(aliased_event_name, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 228, in emit
    return self._emit(event_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/hooks.py", line 211, in _emit
    response = handler(**kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/utils.py", line 1146, in redirect_from_error
    new_region = self.get_bucket_region(bucket, response)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/utils.py", line 1203, in get_bucket_region
    response = self._client.head_bucket(Bucket=bucket)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 357, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 648, in _make_api_call
    operation_model, request_dict, request_context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/client.py", line 667, in _make_request
    return self._endpoint.make_request(operation_model, request_dict)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 102, in make_request
    return self._send_request(request_dict, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 135, in _send_request
    request, operation_model, context)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 167, in _get_response
    request, operation_model)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 200, in _do_get_response
    http_response = self._send(request)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/endpoint.py", line 244, in _send
    return self.http_session.send(request)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/botocore-1.12.115-py3.7.egg/botocore/httpsession.py", line 258, in send
    decode_content=False,
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
    conn.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connection.py", line 301, in connect
    conn = self._new_conn()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connection.py", line 159, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/util/connection.py", line 70, in create_connection
    sock.connect(sa)
KeyboardInterrupt
(hidden)
221293471AmaurXchallenge-aido_LF-template-randomaido2-LF-real-testingeval0successyes-0:16:42(hidden)
driven_lanedir_consec_median0
survival_time_median0


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-15", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Amaury", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot05": {"name": "2_multi01_duckiebot_select_autobot05", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot07": {"name": "2_multi01_duckiebot_select_autobot07", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "1", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": true, "readable_string": "Report on light conditions"}, "3_hidden_autolab_helper_command": {"name": "3_hidden_autolab_helper_command", "output": "python3 autolab_helper_script.py 3471 aido2-LF-real-testing autobot03 ", "readable_string": "The autolab helper script launch command"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": false, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1557913382.796494", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": false, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1557913394.880808", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": false, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "0", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "0", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_02dataIpfsHash": {"name": "10_02dataIpfsHash", "output": "QmUb5i3VtNk4pAjBoxpCxCnyrpAek1ACVDkqMw5PaQp7QG", "readable_string": "IPFS hash of the experiment"}, "10_04cleanupCheck": {"name": "10_04cleanupCheck", "output": true, "readable_string": "The IPFS Docker terminal and the local storage were cleaned"}, "10_05autolabCleaned": {"name": "10_05autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_01dataUploadCheck": {"name": "10_01dataUploadCheck", "output": true, "readable_string": "The data was uploaded to the IDSC NAS"}, "10_03dataPinningCheck": {"name": "10_03dataPinningCheck", "output": true, "readable_string": "The data is accessible through IPFS"}}